### Hierarchy

- Shader
  - DisplayObjectShader
  - GraphicsShader
  - BitmapFilterShader

## Index

### Constructors

- constructor

### Properties

- byteCode
- data
- glFragmentSource
- glProgram
- glVertexSource
- precisionHint

### Methods

- get_data
- get_glFragmentSource
- get_glVertexSource
- set_data
- set_glFragmentSource
- set_glVertexSource

## Constructors

### constructor

- new Shader(code?: ByteArray): Shader

- - Defined in lib/openfl/display/Shader.d.ts:31

  #### Parameters

  - ##### Optional code: ByteArray

  #### Returns Shader

## Properties

### byteCode

byteCode: ByteArray

- Defined in lib/openfl/display/Shader.d.ts:12

### data

data: ShaderData

- Defined in lib/openfl/display/Shader.d.ts:14

### glFragmentSource

glFragmentSource: string

- Defined in lib/openfl/display/Shader.d.ts:19

### glProgram

glProgram: any

- Defined in lib/openfl/display/Shader.d.ts:24

### glVertexSource

glVertexSource: string

- Defined in lib/openfl/display/Shader.d.ts:26

### precisionHint

precisionHint: ShaderPrecision

- Defined in lib/openfl/display/Shader.d.ts:31

## Methods

### Protected get_data

- get_data(): ShaderData

- - Defined in lib/openfl/display/Shader.d.ts:16

  #### Returns ShaderData

### Protected get_glFragmentSource

- get_glFragmentSource(): string

- - Defined in lib/openfl/display/Shader.d.ts:21

  #### Returns string

### Protected get_glVertexSource

- get_glVertexSource(): string

- - Defined in lib/openfl/display/Shader.d.ts:28

  #### Returns string

### Protected set_data

- set_data(value: ShaderData): ShaderData

- - Defined in lib/openfl/display/Shader.d.ts:17

  #### Parameters

  - ##### value: ShaderData

  #### Returns ShaderData

### Protected set_glFragmentSource

- set_glFragmentSource(value: string): string

- - Defined in lib/openfl/display/Shader.d.ts:22

  #### Parameters

  - ##### value: string

  #### Returns string

### Protected set_glVertexSource

- set_glVertexSource(value: string): string

- - Defined in lib/openfl/display/Shader.d.ts:29

  #### Parameters

  - ##### value: string

  #### Returns string

Generated using TypeDoc